<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>
<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>

<style type="text/css">
	@import url('/css/Autocompleter.css');
</style>

<script type="text/javascript">
Cubix.Grid.DataTypes.EscortLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<script type="text/javascript">
Cubix.ready = function () {	
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		<? if (isset($_GET['pid']) && strlen($_GET['pid']) > 0): ?>
		$('post_id').set('value', '<?= $_GET['pid'] ?>');
		<? endif; ?>
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {

				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 680
	});
	
	popup.addEvent('loaded', function () {
		tinyMCE.init({
			mode : "textareas",
			theme : "advanced",
			
			plugins: "emotions,advhr,preview,paste",
			theme_advanced_toolbar_location	  : "top",
			theme_advanced_toolbar_align	  : "left",
			editor_selector : 'reply',
			theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,undo,redo,|,pastetext,pasteword,emotions,code,preview",
			theme_advanced_buttons2 : "",
			theme_advanced_buttons3_add : "",
			relative_urls : false,
			convert_urls : true
		});
	
		window.fireEvent('resize');
	});

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;
	
	window.qEmail.addEvent('loaded', function () {		
		if ($('email_template'))
			$('email_template').addEvent('change', function(e) {
				e.stop();

				var id = $('email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						$('from').set('value', resp.from);
						$('subject').set('value', resp.subject);
						$('message').set('html', resp.body);
						$('email_signature').set('html', resp.signature);
					}.bind(this)
				}).send();
			});
	});

	var photos_popup = new Cubix.Popup.Ajax({
			width: 896,
			zIndex: function () { return Cubix.Popup.zIndex + 38 }
		});

	window.PhotosPopup = photos_popup;
	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 40 }
	});

	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 45 }
	});

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 39 }
	});
	window.SmsPopup = popup_sms;

	var escort_popup = new Cubix.Popup.Ajax({
		abar: [
			/*{ caption: 'Place New Order', icon: 'add', action: function () {
				window.PackagesPopup = PackagesPopup;
				window.OrderPopup = OrdersPopup;
				OrdersPopup.setTitle('Create New Order for Escort');
				OrdersPopup.load('/billing/orders/create?type=escort&id=' + $$('input[name=esc_id]')[0].get('value') + '&name=', function () {
					this.open();
				});
			} },*/
			{ caption: 'Save', icon: 'accept', action: function() {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(escort_popup))(function (result) {
					
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	window.EscortPopup = escort_popup;

	var popupClose = function(popup) {
		var old_data = window.popup_data;
		var new_data = popup.content.getElement('.form-common').toQueryString();

		if ( old_data != new_data ) {
			if ( confirm('Close without saving changes ?') ) {
				popup.close();
			}
		}
		else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	escort_popup.addEvent('close', function () { window.EscortsKeyboard.deactivate(); });

	escort_popup.addEvent('loaded', function () {
		new mootabs('tabs', { width: null, height: 'auto' });
	});
	
	// --> Agency popup <--
	var agencyPopup = window.AgencyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	agencyPopup.addEvent('loaded', function () {
		var ag_self = this;

		new mootabs('agency-tabs', { width: null, height: 'auto' });

		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid-a', {
			identifier: { field: 'id' },
			header: [
				{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'contact_email', type: 'Email', sortable: true, width: '140px' },
				{ title: 'Package', field: 'active_package', type: 'ActivePackage', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/agencies/escort-list-data?agency_id=' + agencyPopup.agency_id })
		});

		escorts_grid.addEvent('loaded', function () {
			ag_self.content.getElements('.escort-showname').addEvent('click', function (e) {
				e.stop();

				var data = this.getParent('tr').rowData;
				window.EscortPopup.data = data;
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});

		this.content.getElements('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				this.content.getElements('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		this.content.getElement('select[name=country_id]').addEvent('change', function() {

			ag_self.content.getElement('select[name=city_id]').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					ag_self.content.getElement('select[name=city_id]').set('html', resp);
					ag_self.content.getElement('select[name=city_id]').set('disabled', '');
				}
			}).send();
		});

		window.EscortPopup.close();
	});
	// <-- Agency popup -->

	var MemberPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	MemberPopup.addEvent('loaded', function () {
		new Picker.Date('input[name=date_expires]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$('country').addEvent('change', function() {
			var country = this;

			$('city').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					$('city').set('html', resp);
					$('city').set('disabled', '');
				}
			}).send();
		});
		
		if ( $$('.ip-opener')[0] ){
			if($$('.ip-info')[0].getElement('.ip-opener')){
				$$('.ip-info')[0].getElement('.ip-opener').addEvent('click', function(){
						$$('.ip-info-box').setStyle('display','block');
				});
				$$('.ip-info')[0].getElement('.close').addEvent('click', function(){
						$$('.ip-info-box').setStyle('display','none');
				});
			}
		}
		
		/**************************************/
		<? if (Cubix_Application::getId() == APP_EF): ?>
		new Cubix.Button($('btn-disable-reviews'), { onClick: function () {
			disable_popup_m.setTitle('Reason for disabling reviews'),
			disable_popup_m.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=review&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup_m.open);
		}, icon: 'delete', caption: 'Disable Reviews' });
	
		new Cubix.Button($('btn-disable-comments'), { onClick: function () {
			disable_popup_m.setTitle('Reason for disabling comments'),
			disable_popup_m.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=comment&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup_m.open);
		}, icon: 'delete', caption: 'Disable Comments' });
	
		new Cubix.Button($('btn-disable-reviews-comments'), { onClick: function () {
			disable_popup_m.setTitle('Reason for disabling reviews / comments'),
			disable_popup_m.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=review_comment&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup_m.open);
		}, icon: 'delete', caption: 'Disable Reviews / Comments' });
						
		var disable_popup_m = new Cubix.Popup.Ajax({
			abar: [
				{ caption: 'Disable', icon: 'delete', action: function () {
					new Request({
						url: "<?= $this->baseUrl() ?>/members/disable-rev-com",
						method: 'post',
						data: {
							'user_id': $('dis_rev_com').getElement('input[name=d_user_id]').get('value'),
							'act': $('dis_rev_com').getElement('input[name=d_act]').get('value'),
							'disable_type': $$('input[name=d_disable_type]:checked')[0].get('value'),
							'reason': $('dis_rev_com').getElement('textarea[name=d_reason]').get('value')
						},
						onSuccess: function (resp) {
							resp = JSON.decode(resp);

							if (resp.status == 'error')
								$('reason').getParent().addClass('error');
							else if (resp.status == 'success')
								disable_popup_m.close();
						}
					}).send();
				} }
			],
			width: 400,
			zIndex: function () { return Cubix.Popup.zIndex + 50 }
		});
		<? endif; ?>
		/********************************************/
	});
	
	popup.addEvent('loaded', function () {
		$$('.escort-showname').addEvent('click', function(e) {
			e.stop();
			var self = this;
			
			EscortPopup.setTitle('Edit Escort');
			EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + self.get('rel'), function () {
				this.open();
			});
		});
		
		$$('.member-name').addEvent('click', function(e) {
			e.stop();
			var self = this;
			
			MemberPopup.setTitle('Edit Member');
			MemberPopup.load('<?= $this->baseUrl() ?>/members/edit?id=' + self.get('rel'), function () {
				this.open();
			});
		});
		
		$$('.agency-name').addEvent('click', function(e) {
			e.stop();
			var self = this;
			
			agencyPopup.setTitle('Edit Agency');
			agencyPopup.agency_id = self.get('rel');
			agencyPopup.load('<?= $this->baseUrl() ?>/agencies/edit?id=' + self.get('rel'), function () {
				this.open();
			});
		});

		window.fireEvent('resize');
	});
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [			
			{ title: 'R. ID', field: 'id', type: 'number', sortable: true, width: '50px' },
			{ title: 'P. ID', field: 'post_id', type: 'number', sortable: true, width: '50px' },
			{ title: 'Replier', field: 'username', type: 'PinboardUser', sortable: false },
			{ title: 'User Type', field: 'user_type', type: 'string', sortable: false, width: '80px' },
			{ title: 'Date', field: 'date', type: 'DateTime', sortable: true, width: '110px' }
		],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '/pinboard-replies/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popup.setTitle('Edit');
			popup.load('<?= $this->baseUrl() ?>/pinboard-replies/edit?id=' + data.id, function () {
				this.open();
			});
		} }
		],
		data: new Cubix.Grid.Loader({ url: '/pinboard-replies/data', params: getFilterParams })
	});
		
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	grid.addEvent('loaded', function() {		
		$$('.escort-showname').addEvent('click', function(e) {
			e.stop();
			var self = this;
			
			EscortPopup.setTitle('Edit Escort');
			EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + self.get('rel'), function () {
				this.open();
			});
		});
		
		$$('.member-name').addEvent('click', function(e) {
			e.stop();
			var self = this;
			
			MemberPopup.setTitle('Edit Member');
			MemberPopup.load('<?= $this->baseUrl() ?>/members/edit?id=' + self.get('rel'), function () {
				this.open();
			});
		});
		
		$$('.agency-name').addEvent('click', function(e) {
			e.stop();
			var self = this;
			
			agencyPopup.setTitle('Edit Agency');
			agencyPopup.agency_id = self.get('rel');
			agencyPopup.load('<?= $this->baseUrl() ?>/agencies/edit?id=' + self.get('rel'), function () {
				this.open();
			});
		});
	});
	
	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		/*clearForm();
		grid.load();*/
		window.location = '<?= $this->baseUrl() ?>/pinboard-replies';
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.addEvent('change', function(){
			grid.load();
		});
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form id="a-search-form">
		<fieldset class="inner mb10">			
			<div class="inner">
				<label for="id">Reply ID</label>
				<input type="text" class="txt w6" name="id" id="id" value="" />
			</div>
			
			<div class="inner">
				<label for="post_id">Post ID</label>
				<input type="text" class="txt w6" name="post_id" id="post_id" value="" />
			</div>
			
			<div class="inner">
				<label for="escort_id">Escort ID</label>
				<input type="text" class="txt w6" name="escort_id" value="" />
			</div>
			
			<div class="inner">
				<label for="showname">Escort Showname</label>
				<input id="showname" type="text" class="txt w14" name="showname" value="" />
			</div>
			
			<div class="inner">
				<label for="agency_name">Agency Name</label>
				<input id="agency_name" type="text" class="txt w14" name="agency_name" value="" />
			</div>
			
			<div class="inner">
				<label for="username">Member Username</label>
				<input id="username" type="text" class="txt w14" name="username" value="" />
			</div>
						
			<div class="inner">
				<label for="user_type">User Type</label>
				<select name="user_type" id="user_type">
					<option value="">--- All ---</option>
					<option value="member">Member</option>
					<option value="agency_escort">Agency & Escort</option>
				</select>
			</div>
		
			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div id="grid-show-count" class="fleft grid-show-count"><span></span> - Replies Found</div>

<div class="clear"></div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
